• Hi, all,

    The site in question is up (at least for now) after cycling back to v2.6.17 of the plugin. However, when trying to install the latest version of KingComposer, visitors to my site see this error:

    Parse error: syntax error, unexpected ‘[‘, expecting ‘)’ in /home/content/83/11330783/html/wp-content/plugins/kingcomposer/includes/kc.extensions.php on line 393

    I’m also unable to log into WordPress until I temporarily rename my plugins folder.

    I suppose one solution would be to go into the PHP file itself and make the update, however, doing so yielded more issues (this time on different lines). Forgive me for not taking screenshots of each incident — it’s a client site and I was pressed for time.

    Does anyone have a solution to this issue?

    Thank you in advance!

    • This topic was modified 2 years, 10 months ago by indominusrose.

    The page I need help with: [log in to see the link]

Viewing 6 replies - 1 through 6 (of 6 total)
  • Hi,
    i`m in the same situation..the website is down after update. Can you help me please?

    Thank you.

    Thread Starter indominusrose

    (@indominusrose)

    Hi, @tuongpg. Thanks for the quick reply. I sent an email yesterday with additional info but fear it may have ended up in your spam folder.

    Please let me know if you encounter any issues. The site in question is currently down once again in spite of being in working condition yesterday and having had no updates on my part. (EDIT: I’ve since done my usual troubleshooting routine to restore it at least for now.)

    Same error, however:

    Parse error: syntax error, unexpected ‘[‘, expecting ‘)’ in /home/content/83/11330783/html/wp-content/plugins/kingcomposer/includes/kc.extensions.php on line 393

    • This reply was modified 2 years, 10 months ago by indominusrose. Reason: New information

    Hi indominusrose,

    We are checking issue, will get back to you in shortly.

    Best regards,

    Anthony

    Hi folks,

    Please try to download and reinstall the KingComposer.
    We solved that some hours ago.

    Hope that convenient for your plan.

    Best regards,

    Anthony

    Thread Starter indominusrose

    (@indominusrose)

    Hello @tuongpg,

    Many thanks for your responsiveness, however, my site is still encountering the same issue. Here’s the error I now receive:

    Parse error: syntax error, unexpected ‘[‘ in /home/content/83/11330783/html/wp-content/plugins/kingcomposer/includes/kc.extensions.php on line 552

    (I’m currently in the process to rolling back to v2.6.17.)

    Thank you in advance for your continued help!

    Andrew Nevins

    (@anevins)

    WCLDN 2018 Contributor | Volunteer support

    @tuongpg, I’m am 100% sure you mean well but please never ask for credentials on these forums.

    https://make.wordpress.org/support/handbook/forum-welcome/#the-bad-stuff

    Now for the why: The internet is a wonderful place full of very nice people and a few very bad ones. I’m sure everyone here is very nice however, by giving some ones keys to your house you are trusting they wont steal anything. Likewise the person who takes the keys is now responsible for the house FOREVER.

    Please be aware that repeatedly asking for credentials may result in losing access to the forums.

    So, bottom line: Do not ask for or offer credentials on the forums.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Latest Update Causes Parse Error’ is closed to new replies.